# hey, Emacs, its -*- rpm-spec -*-
# $Id: valgrind,v 1.5 2002/07/29 18:11:25 ab Exp $

Summary: Valgrind, an open-source memory debugger for x86-GNU/Linux
Name: valgrind
Version: 1.0.4
Release: alt1
URL: http://developer.kde.org/~sewardj/
Source0: http://developer.kde.org/~sewardj/%{name}-%{version}.tar.bz2
License: GNU GPL
Group: Development/Other
AutoProv: none
Provides: valgrind

# Automatically added by buildreq on Thu Nov 21 2002
BuildRequires: XFree86-devel XFree86-libs

%description 
Valgrind is a GPL'd tool to help you find memory-management problems
in your programs.  When a program is run under Valgrind's supervision,
all reads and writes of memory are checked, and calls to
malloc/new/free/delete are intercepted.  As a result, Valgrind can
detect problems such as:

    * Use of uninitialised memory
    * Reading/writing memory after it has been free'd
    * Reading/writing off the end of malloc'd blocks
    * Reading/writing inappropriate areas on the stack
    * Memory leaks -- where pointers to malloc'd blocks are lost forever
    * Passing of uninitialised and/or unaddressible memory to system calls
    * Mismatched use of malloc/new/new [] vs free/delete/delete []
    * Some misuses of the POSIX pthreads API 

%package devel
Summary: Valgrind header files for embedding Valgrind checks into other applications
Group: Development/Other

%description devel
Valgrind-devel contains header files for providing macros to embed
Valgrind checks into other applications.  The resulting executables
will still run without Valgrind, just a little bit more slowly than
they otherwise would, but otherwise unchanged.

When run on Valgrind with --client-perms=yes, Valgrind observes these
macro calls and takes appropriate action.  When run on Valgrind with
--client-perms=no (the default), Valgrind observes these macro calls
but does not take any action as a result.

%prep
%setup -q

%build
%configure
%make

%install
%__mkdir -p %buildroot
%make_install DESTDIR=%buildroot install

# Valgrind shared libraries should not be stripped - see README_PACKAGERS
%set_strip_method executable

%clean


%files
%defattr(-,root,root)
%_bindir/*
%dir %_libdir/%name
%_libdir/%name/*
%doc docs/*.html CURRENT_BUG_STATUS

%files devel
%_includedir/*

%changelog
* Thu Nov 21 2002 Sergey Vlasov <vsu@altlinux.ru> 1.0.4-alt1
- 1.0.4 release.
- Do not strip shared libraries.
- Added BuildRequires.

* Mon Jul 29 2002 Alexander Bokovoy <ab@altlinux.ru>
- Initial build.



